%global pypi_name pytest-xdist

Summary:       py.test plugin for distributed testing and loop-on-failing modes
Name:          python-%{pypi_name}
Version:       3.3.1
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/pytest-dev/pytest-xdist
Source0:       %{pypi_source}

BuildRequires: python3-devel %{py3_dist execnet} %{py3_dist filelock} %{py3_dist psutil} %{py3_dist pytest}
BuildRequires: %{py3_dist py} %{py3_dist setuptools} %{py3_dist setuptools_scm}

BuildArch:     noarch

%description
The pytest-xdist plugin extends py.test with some unique test execution modes:
* test run parallelization: if you have multiple CPUs or hosts you can use those for a combined test
  run. This allows to speed up development or to use special resources of remote machines.
* --boxed: run each test in a boxed subprocess to survive SEGFAULTS or otherwise dying processes
* --looponfail: run your tests repeatedly in a subprocess. After each run py.test waits until a file
  in your project changes and then re-runs the previously failing tests. This is repeated until all
  tests pass after which again a full run is performed.
* Multi-Platform coverage: you can specify different Python interpreters or different platforms and
  run tests in parallel on all of them.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

Requires:       %{py3_dist py}
%description -n python3-%{pypi_name}
The pytest-xdist plugin extends py.test with some unique test execution modes:
* test run parallelization: if you have multiple CPUs or hosts you can use those for a combined test
  run. This allows to speed up development or to use special resources of remote machines.
* --boxed: run each test in a boxed subprocess to survive SEGFAULTS or otherwise dying processes
* --looponfail: run your tests repeatedly in a subprocess. After each run py.test waits until a file
  in your project changes and then re-runs the previously failing tests. This is repeated until all
  tests pass after which again a full run is performed.
* Multi-Platform coverage: you can specify different Python interpreters or different platforms and
  run tests in parallel on all of them.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x testing -x psutil -x setproctitle

%build
%pyproject_wheel

%install
%pyproject_install

%check
%pytest


%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/pytest_xdist*
%{python3_sitelib}/xdist/

%changelog
* Mon Sep 2 2024 Shuo Wang <abushwang@tencent.com> - 3.3.1-3
- remove unused buildrequire

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - -1
- update to

* Wed Sep 20 2023 Miaojun Dong <zoedong@tencent.com> - 2.5.0-6
- Rebuilt for python-pytest-forked 1.6.0-2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 2.5.0-1
- initial build
